List Campaign phone numbers
curl --request GET \
--url https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brand_id": "B9FXYNH",
"campaign_id": "CSJ4TV0",
"numbers": [
{
"number": "17029641104",
"status": "APPROVED"
}
]
}{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}{
"success": false,
"error": true,
"message": "Unauthorized"
}{
"success": false,
"message": "Request failed. The feature is disabled for the account."
}{
"success": false,
"message": "Record not found"
}10DLC
List Campaign phone numbers
Returns the phone numbers linked to the 10DLC Campaign identified by campaign_id.
GET
/
v3
/
10dlc
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
numbers
List Campaign phone numbers
curl --request GET \
--url https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wavix.com/v3/10dlc/brands/{brand_id}/campaigns/{campaign_id}/numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brand_id": "B9FXYNH",
"campaign_id": "CSJ4TV0",
"numbers": [
{
"number": "17029641104",
"status": "APPROVED"
}
]
}{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}{
"success": false,
"error": true,
"message": "Unauthorized"
}{
"success": false,
"message": "Request failed. The feature is disabled for the account."
}{
"success": false,
"message": "Record not found"
}Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The unique ID of the 10DLC Brand.
Pattern:
^B[A-Z0-9]{6}$Example:
"B9FXYNH"
The unique ID of the 10DLC Campaign.
Example:
"CSJ4TV0"
Response
Returns the phone numbers linked to the Campaign.
Unique identifier of the 10DLC Brand that owns the Campaign.
Unique identifier of the 10DLC Campaign the numbers belong to.
Phone numbers assigned to the Campaign, with their provisioning status.
Show child attributes
Show child attributes
Was this page helpful?